Bug Hunting Session
Bug 115038 - Umlaute (mutation) will be shown wrong in some objects when you type them first
Summary: Umlaute (mutation) will be shown wrong in some objects when you type them first
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering Shapes
  Show dependency treegraph
 
Reported: 2018-01-16 10:13 UTC by Karsten
Modified: 2019-03-05 03:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Demo that shows the result (16.28 KB, application/vnd.oasis.opendocument.presentation)
2018-01-16 10:13 UTC, Karsten
Details
Demo as PDF to show it (37.30 KB, application/pdf)
2018-01-16 10:14 UTC, Karsten
Details
examples 4.4.3.2 and 5.4.4.2 (93.04 KB, application/zip)
2018-01-18 17:45 UTC, Karsten
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karsten 2018-01-16 10:13:01 UTC
Description:
Umlaute like ÄÖU äöü are shown wrong when you type them first!

In writer the character set wingdings is shown wrong.
Each character takes the double place then before!

Steps to Reproduce:
1. Open draw ore impress
2. Place an object like a circle
3. Start typing an Umlaut like ÄÖU äöü


Actual Results:  
You will see another character but not what you want.
After that the character is shown correct!

Expected Results:
Every time Umlaute are shown correct


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Karsten 2018-01-16 10:13:59 UTC
Created attachment 139124 [details]
Demo that shows the result
Comment 2 Karsten 2018-01-16 10:14:38 UTC
Created attachment 139125 [details]
Demo as PDF to show it
Comment 3 Xisco Faulí 2018-01-16 10:32:26 UTC
I can't reproduce it in

Versió: 5.4.4.2
ID de la construcció: 1:5.4.4~rc2-0ubuntu0.17.04.1~lo1
Fils de CPU: 4; SO: Linux 4.10; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: ca-ES-valencia (ca_ES.UTF-8); Calc: group

Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 4 Karsten 2018-01-17 10:57:25 UTC
Yes - i will try it, but this will take time.
Could you reproduce the bug?

The interesting thing is that this problem occurs only the first time you type the character.

The problem with wingdings characters is always present.
Comment 5 Xisco Faulí 2018-01-18 10:07:27 UTC
No, I can't reproduce it.
Comment 6 Karsten 2018-01-18 11:04:41 UTC
Hmmm - than it is hard to fix it!
Could you see the additional space in the TTF wingdings?

Sorry - but i did not have the time up to now to install and test the newer release.
But this will not help if you can't reproduce the error.

Any ideas?
Comment 7 Karsten 2018-01-18 17:42:46 UTC
Now i could test it with additional 2 Versions on a separate installation.
I did have the same result/effect with versions 4.4.3.2 and 5.4.4.2

So this is not a new problem and it is not dependent on this special installation of Debian Jessie.

I attach the different test results as one zip file for you.
Comment 8 Karsten 2018-01-18 17:45:06 UTC
Created attachment 139194 [details]
examples 4.4.3.2 and 5.4.4.2

examples 4.4.3.2 and 5.4.4.2 with writer and impress
Comment 9 Thomas Lendo 2018-01-18 22:44:23 UTC
Set to NEW as I can confirm the bug since I installed TrueType font Wingings.

Interesting is, that I couldn't reproduce this bug in Draw and Impress until I installed Wingings. After that (with deinstalled or reinstalled font) I was able to reproduce it. Weird.

Another interesting thing is that Windings must(?) only be installed, but Liberation Sans is still the default font in the buggy shapes.

Version: 6.1.0.0.alpha0+
Build ID: acb43c0b8efbfb841e7b40603d75a8432eb21f21
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-09_01:20:44
Locale: de-DE (de_DE.UTF-8); Calc: group threaded
Ubuntu 16.04 LTS 64 bit
Comment 10 Karsten 2018-01-19 09:53:12 UTC
This is indeed very weird and good to know.
It's a pity that it seems not to help to deinstall wingdings.

But i used some symbols like telephone or fax for years before.
I never had an problem with this before in openoffice and libreoffice.

It makes no sense that a special font can change the behaviour of the software.
I am in tense what you will find out.
Comment 11 Karsten 2018-03-04 10:06:10 UTC
bug 111630 seems to be only an side effect of this problem here.
Comment 12 QA Administrators 2019-03-05 03:38:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug